--[[
    Порт
]]

char_captain = npc {
    nam = "char_captain";
    disp = "Капитан";
    dsc = [[На носу судна стоит {капитан} и курит трубку, задумчиво смотря на происходящее на палубе. ]];
    phrases = {
        [[Капитан говорит: _"Завтра мы отправляемся обратно в Америку"_. ]],
        [[Капитан задумчиво произносит, держа трубку в руке: _",,Северное сияние'' -- лучший из кораблей, которыми я управлял"_. ]],
        [[Капитан оборачивается к вам: _"Как вам путешествие?"_ ]],
        [[Капитан вынимает трубку изо рта и произносит: _"Этот пароход -- гордость компании, но до знаменитой ,,Огненной стрелы'' ему далеко"_. ]],
        [[Окидывая взглядом порт, капитан вздыхает: _"Иногда я вспоминаю свою молодость на ,,Чайке'' и ,,Нефритовой королеве''"_. ]],
        [[Капитан задумчиво вертит трубку в руках. ]]
    };
};

char_first_mate = npc {
    nam = "char_first_mate";
    disp = "Первый помощник";
    dsc = [[У трапа стоит {первый помощник} и наблюдает за покидающими корабль людьми. ]];
    phrases = {
        [[Первый помощник не обращает на вас внимания. ]],
        [[Первый помощник спрашивает: "Как вам путешествие?" ]],
        [[Первый помощник сообщает: "Капитан раньше командовал ,,Чайкой''. Я не знаю, что стало с ней сейчас". ]],
        [[Первый помощник с гордостью говорит: _",,Северное сияние'' -- лучший корабль компании"_. ]],
        [[Первый помощник сообщает: "Это был мой первый трансатлантический рейс в качестве первого помощника". ]]
    };
};

aurora_borealis = room {
    nam = "aurora_borealis";
    disp = "Северное cияние";
    dsc = [[Тяжелые темные тучи застилают небо, не давая солнечному свету пробиться к земле. Пассажиры собрались на палубе парохода, прибывшего в порт Лондона. Вокруг снуют матросы, занимающиеся своими делами и не обращающие никакого внимания на вас. Люди неспешно сходят на берег. Со всех сторон вы слышите гудки пароходов, прибывающих в порт и отправляющихся в плавание. ]];
    obj = {'char_captain', 'char_first_mate'};
    entered = function(s)
        set_music('music/london.ogg');
    end;
    way = {
        vroom("На берег", "london_mooring");
    };
};

london_mooring = cutscene("london_mooring", "Порт", [[Вместе с очередной группой пассажиров, вы сходите на берег. Толпа увлекает вас от причала и вы оказываетесь посреди порта. Вокруг снуют люди: пассажиры, грузчики, моряки. Со всех сторон доносится шум: голоса людей, гудки пароходов, ржание лошадей. ]], "port");

port = room {
    var {
        state = 0;
    };
    nam = "port";
    disp = "Порт";
    dsc = [[Тяжелые тучи над головой, кажется, вот-вот разразятся дождем. Вокруг снуют люди: пассажиры, грузчики, моряки. Со всех сторон доносится шум: голоса людей, гудки пароходов, ржание лошадей. Вы стоите рядом с одним из складов. ]];
    way = {
        vroom("На улицу", "port_street");
    };
    entered = function(s)
        if (not char_worker.bought and s.state == 0) then
            p("Сидящий у склада рабочий печально вздыхает: \"Выпить бы!\"");
        end;
        s.state = s.state + 1;
        if (s.state == 2) then
            s.state = 0;
        end;
    end;
    obj = {'char_worker', 'item_toolbox'};
};

port_street = room {
    nam = "port_street";
    disp = "Улица";
    entered = function(s)
        move(char_coachman, here());
    end;
    way = {
        vroom("В порт", "port");
        vroom("В пивную лавку", "ginshop");
    };
    dsc = [[Вы с трудом пробираетесь сквозь толпы людей, спешащих по своим делам. Из порта доносятся гудки пароходов. Со всех сторон доносится шум большого города. Тяжелые черные тучи медленно плывут по небу, грозя разразиться дождем в любую минуту. Прямо напротив вас расположена пивная лавка. Старая облезлая вывеска, на которой изображены две кружки пенящегося пива, покачивается на ветру, издавая громкий скрип. ]];
    obj = {
        "dice_player"
    };
};

dice_player = npc {
    nam = "char_dice_player";
    disp = "Игрок";
    dsc = [[У дверей пивной лавки сидит на раскладном стульчике хитрого вида {тип} в мятом старом костюме и не менее старой и мятой кепке. В руке он вертит обычную шестигранную игральную кость. ^]];
    dlg = "dice_player_dlg";
};

dice_player_dlg = dlg {
    nam = "dice_player_dlg";
    disp = "Игрок";
    entered = [[Человек обращается к вам: "Эй, сыграем?"]];
    phr = {
        {always=true, "Во что играем?", [[Человек объясняет правила: "Играем в свинью. Все просто -- сперва мы бросаем кость. У кого выпадет больше -- тот ходит первым. Ходящий кидает кость пока не выкинет единицу или ему не надоест. Сколько выпадает на кости, столько очков он прибавляет себе. Если выпадает единица -- все очки набранные за ход теряются. Кто первый наберет сто очков, того и деньги, но есть хитрость -- второй игрок может сделать последний ход и добиться ничьей. Ну так, что? Играем?"]]};
        {always=true, "Я сыграю. ", [[Человек потирает руки, спрашивая: "Сколько ставим?"]], code [[ autosave(); psub("stake"); ]]};
        {always=true, "Не в этот раз. ", code [[back();]]};
        {tag="stake"};
        {always=true, "5 шиллингов. ", function(s)
            if pl.money >= 5 then
                dice_game.stake = 5;
                walk("dice_game");
            else
                return [[Человек насмешливо смотрит, как вы ищете в карманах деньги, а потом произносит: "Приходите, когда наскребете достаточно монет". ]]
            end;
        end};
        {always=true, "10 шиллингов. ", function(s)
            if pl.money >= 10 then
                dice_game.stake = 10;
                walk("dice_game");
            else
                return [[Человек насмешливо смотрит, как вы ищете в карманах деньги, а потом произносит: "Может снизим ставки?" ]];
            end;
        end};
        {always=true, "25 шиллингов. ", function(s)
            if pl.money >= 25 then
                dice_game.stake = 25;
                walk("dice_game");
            else
                return [[Человек насмешливо смотрит, как вы ищете в карманах деньги, а потом произносит: "Может снизим ставки?" ]];
            end;
        end};
        {always=true, "50 шиллингов. ", function(s)
            if pl.money >= 50 then
                dice_game.stake = 50;
                walk("dice_game");
            else
                return [[Человек насмешливо смотрит, как вы ищете в карманах деньги, а потом произносит: "Может снизим ставки?" ]];
            end;
        end};
        {always=true, "Я передумал.", code [[back();]]};
    };
};

char_worker = npc {
    var {
        bought = false;
        bought_drink = false;
    };
    nam = "char_worker";
    disp = "Портовый рабочий";
    dsc = function(s)
        if (s.bought and s.bought_drink) then
            return [[На скамейке у стены склада сидит {рабочий} и курит трубку, попивая что-то из стоящей рядом бутылки. ]];
        else
            return [[На скамейке у стены склада сидит {рабочий} и курит трубку. ]];
        end;
    end;
    dlg = "char_worker_dlg";
    act = function(s)
        if (s.bought) then
            return "Вам от него больше ничего не надо. ";
        else
            walkin(s.dlg);
        end;
    end;
};

char_worker_dlg = dlg {
    nam = "char_worker_dlg";
    disp = "Портовый рабочий";
    entered = function(s)
        if have(item_bottle) then
            pon("bottle");
        end;
        pjump('new');
        return [[Недовольно посмотрев в вашу сторону, рабочий спрашивает: "Чего надо?" ]];
    end;
    phr = {
        {tag='new'},
        {tag='bottle', false,"[Предложить рабочему бутылку] Могу я воспользоваться вашими инструментами?", [[Глаза рабочего округляются и он тянет руки к вожделенной бутылке: "Да без проблем, забирай". ]], code [[
            remove(item_bottle, pl);
            char_worker.bought_drink = true;
            char_worker.bought = true;
            back();
        ]]};      
        {always=true, "Могу я воспользоваться вашими инструментами?", [[Рабочий отрывисто отвечает: "Нет", -- после чего отворачивается в другую сторону. ]], [[ pjump 'bribe_try' ]]};
        {always=true, "Нет, ничего. ", [[Рабочий недовольно рычит: "Тогда отвали", -- после чего отворачивается в другую сторону. ]], [[ back(); ]]};
        {tag='bribe_try'};
        {always=true, "Могу я купить их у вас?", [[Рабочий снова повернулся к вам. Он с плохо скрываемым интересом спрашивает: "Сколько?" ]], [[ pjump 'bribing_20' ]]};
        {always=true, "Нет, ничего. ", [[Рабочий недовольно рычит: "Тогда отвали", -- после чего отворачивается в другую сторону. ]], [[ back(); ]]};
        {tag='bribing_20'};
        {"10 шиллингов?", [[ Рабочий усмехнулся: "Издеваешься?" ]]};
        {always=true, "20 шиллингов?", [[Рабочий торгуется: "30". ]], [[pjump 'bribing_30']]};
        {always=true, "40 шиллингов?", function(s)
            if (pl:pay(40)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back();]]};
        {always=true, "60 шиллингов?", function(s)
            if (pl:pay(60)) then
                starlight_dock_appearance = starlight_dock_appearance + 1;
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back();]]};
        {tag='bribing_30'};
        {always=true, "20. ", [[Рабочий потирает руки и предлагает: "28". ]], [[pjump 'bribing_28']]};
        {always=true, "22. ", [[Рабочий потирает руки и предлагает: "28". ]], [[pjump 'bribing_28']]};
        {always=true, "24. ", [[Рабочий потирает руки и предлагает: "28". ]], [[pjump 'bribing_28']]};
        {always=true, "26. ", [[Рабочий потирает руки и предлагает: "28". ]], [[pjump 'bribing_28']]};
        {always=true, "28. ", function(s)
            if (pl:pay(28)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back(); ]]};
        {always=true, "Идет. ", function(s)
            if (pl:pay(30)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back(); ]]};
        {tag='bribing_28'};
        {always=true, "20. ", [[Рабочий потирает руки и предлагает: "26". ]], [[pjump 'bribing_26']]};
        {always=true, "22. ", [[Рабочий потирает руки и предлагает: "26". ]], [[pjump 'bribing_26']]};
        {always=true, "24. ", [[Рабочий потирает руки и предлагает: "26". ]], [[pjump 'bribing_26']]};
        {always=true, "26. ", function(s)
            if (pl:pay(26)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back(); ]]};
        {always=true, "Идет. ", function(s)
            if (pl:pay(28)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back(); ]]};      
        {tag='bribing_26'};
        {always=true, "20. ", [[Рабочий недовольно рычит: "Не хочешь -- не надо", -- после чего отворачивается в другую сторону. ]], [[ back(); ]]};
        {always=true, "22. ", [[Рабочий недовольно рычит: "Не хочешь -- не надо", -- после чего отворачивается в другую сторону. ]], [[ back(); ]]};
        {always=true, "24. ", function(s)
            if (pl:pay(24)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[  back(); ]]};
        {always=true, "Идет. ", function(s)
            if (pl:pay(26)) then
                char_worker.bought = true;
                return [[Рабочий довольно потирает руки: "Идет". ]];
            else
                return [[Рабочий недовольно рычит: "Ты дурак?" ]];
            end;
        end, [[ back(); ]]};      
    };
};

ginshop = room {
    nam = "ginshop";
    disp = "Пивная лавка";
    dsc = [[Свет с трудом проникает в небольшую комнатушку через давно не мытые окна. На полу многолетний слой грязи. Будучи излюбленным заведением самых отъявленных алкоголиков, этот магазинчик предоставляет огромный выбор дешевого и крепкого пойла. ]];
    obj = {'ginshop_trader'};
    way = {
        vroom("На улицу", "port_street");
    };
};

ginshop_trader = npc {
    var {
        bought = false;
    };
    nam = "ginshop_trader";
    disp = "Продавец";
    dsc = [[За грязным прилавком, не раз залитым местными напитками, стоит пожилой {продавец}. Сквозь потрескавшееся мутное стекло в старых очках (второе отсутствует, судя по всему, уже давно) он пытается рассмотреть вас. ]];
    dlg = "ginshop_trader_dlg";
};

ginshop_trader_dlg = dlg {
    nam = "ginshop_trader_dlg";
    disp = "Торговец";
    enter = function(s)
        if (ginshop_trader.bought or char_worker.bought) then
            pr("Мне здесь ничего не нужно. ");
            return false;
        else
            return true;
        end;
    end;
    entered = [[Сняв очки, продавец смотрит на вас и спрашивает: "Добро пожаловать, господин. Чем могу помочь, господин?" ]];
    phr = {
        {always = true, "Бутылочку чего-нибудь покрепче, пожалуйста. ", [[Продавец кивает: "Сию секунду, господин". Почесав седую голову, он уходит в подвал, откуда возвращается через некоторое время с бутылкой. С громким стуком поставив бутылку на стол, он сообщает вам цену: "Это будет стоить вам 20 шиллингов, господин". ]], code = [[ psub("buy"); ]]};
        {always = true, "Это все, спасибо. ", [[Продавец одевает очки обратно и прощается с вами: "Приходите еще, господин". ]], function()
                back();
            end;
        };
        {tag = "buy"};
        {always = true, "Беру. ", function(s)
            if (pl:pay(20)) then
                ginshop_trader.bought = true;
                take(item_bottle);
                return [[Расплывшись в широкой улыбке продавец подмигивает вам и говорит: "Приходите еще, господин!" ]];
            else
                return [[Одевая очки обратно, продавец прячет бутылку под прилавок: "Простите, господин, но я сказал 20 шиллингов". ]];
            end;
        end, code = [[ back(); ]]};
        {always = true, "Я передумал. ", [[Одевая очки обратно, продавец прячет бутылку под прилавок: "Подумайте еще, господин. Всего 20 шиллингов, господин!". ]], code = [[ pret(); ]]};
    };
};

hotel_street = room {
    nam = "hotel_street";
    disp = "Улица";
    entered = function(s)
        move(char_coachman, here());
    end;
    dsc = [[Перед вами стоит старое двухэтажное здание гостиницы. Массивные деревянные двери открыты, приглашая вас внутрь. Покосившаяся вывеска над ними гласит: "Гостиница Старого Фрэнки". Дома поблизости выглядят старыми и неухоженными -- очевидно, в этом районе живут не самые богатые горожане. Вокруг тихо -- лишь редкие пешеходы проходят мимо, не обращая на вас никакого внимания. По небу неспешно плывут тяжелые темные тучи. ]];
    way = {
        vroom("В гостиницу", "hotel_hall");
    };
};

hotel_hall = room {
    nam = "hotel_hall";
    disp = "Гостиница";
    dsc = [[Холл гостиницы представляет собой просторный зал высотой в два этажа. В задней части зала вы видите широкую лестницу, застеленную старой дорожкой, которая некогда была красной. Окна закрыты тяжелыми занавесками, не позволяя свету с улицы проникнуть в помещение. Огромная люстра под потолком дает достаточно света. Вдоль стен расположено несколько диванчиков. ]];
    obj = {
        'hotel_concierge',
        'hotel_starlight'      
    };
    entered = function(s)
        if (rnd(5) > 4) then
            hotel_maid.state = #hotel_maid.actions;
            put(hotel_maid, here());
        else
            remove(hotel_maid, here());
        end;
    end;   
    way = {
        vroom("На улицу", "hotel_street");
        vroom("К номерам", "hotel_corridor_1"):disable();
        vroom("На второй этаж", "hotel_corridor_2"):disable();
    };
};

hotel_corridor_1 = room {
    nam = "hotel_corridor_1";
    disp = "Гостиница, первый этаж";
    dsc = [[Широкий коридор без окон, освещенный газовыми лампами, укрепленными на стенах. По обе стороны от вас расположены двери, ведущие в комнаты постояльцев. ]];
    entered = function(s)
        if (rnd(5) > 4) then
            hotel_maid.state = rnd(#hotel_maid.actions - 1);
            put(hotel_maid);
        else
            remove(hotel_maid);
        end;
    end;
    way = {
        vroom("В холл", "hotel_hall");
        vroom("В комнату №2", "hotel_room_2"):disable();
    };
};

hotel_corridor_2 = room {
    var {
        room_visited = false;
        met_starlight = false;
    };
    nam = "hotel_corridor_2";
    disp = "Гостиница, второй этаж";
    dsc = [[Широкий коридор без окон, освещенный газовыми лампами, укрепленными на стенах. По обе стороны от вас расположены двери, ведущие в комнаты постояльцев. ]];
    way = {
        vroom("В холл", "hotel_hall");
        vroom("В комнату №7", "hotel_room_7");
    };
    enter = function(s)
        if (s.room_visited and not s.met_starlight) then
            s.met_starlight = true;
            walkin('starlight_first_dlg');
        end;
    end;
    entered = function(s)
        if (rnd(5) > 4) then
            hotel_maid.state = rnd(#hotel_maid.actions - 1);
            put(hotel_maid, here());
        else
            remove(hotel_maid, here());
        end;
    end;
    left = function(s)
        if (s.room_visited) then
            remove("char_starlight_corridor", where("char_starlight_corridor"));
            lifeoff("char_starlight_corridor");
        end;
    end;
};

hotel_room_2 = room {
    nam = "hotel_room_2";
    disp = "Гостиница, Комната №2";
    dsc = [[Небольшая чистая комната. На столике у окна стоит зажженная лампа, рядом брошена стопка газет. На кровати в углу валяется шляпа хозяина. Окно распахнуто, впуская внутрь прохладный и влажный воздух. ]];   
    obj = {
        "char_starlight"
    };
    way = {
        vroom("В коридор", "hotel_corridor_1");
    };
};

hotel_room_7 = room {
    nam = "hotel_room_7";
    disp = "Гостиница, Комната №7";
    dsc = [[Небольшая чистая комната. Деревянный столик в углу прикрыт белой скатертью. В углу стоит аккуратно сделанный стул. У окна расположена застеленная чистым бельем кровать. На скрипучем деревянном полу лежит старый коврик. ]];
    obj = {
        'item_lamp', 'room_7_window', 'money_hotel'
    };
    way = {
        vroom("В коридор", "hotel_corridor_2");
    };
    entered = function(s)
        hotel_corridor_2.room_visited = true;
    end;
};

room_7_window = obj {
    var {
        state = 0;
    };
    nam = "room_7_window";
    dsc = function(s)
        if (s.state == 0) then
            return "{Окно} закрыто плотными ставнями. ";
        elseif (s.state == 1) then
            return "Через {окно} вы можете разглядеть мостовую, немногочисленных прохожих, прочные кирпичные дома на другой стороне улицы и тяжелые тучи, нависающие над городом. ";
        else
            return "Сквозь открытое {окно} до вас доносится шум большого, живущего своей жизнью города. Прохладный ветерок задувает в комнату. ";
        end;
    end;
    act = function(s)
        if (s.state == 0) then
            s.state = 1;
            return [[Вы открываете ставни. ]];
        elseif (s.state == 1) then
            s.state = 2;
            return [[Вы открываете окно. ]];
        elseif (s.state == 2) then
            s.state = 0;
            return [[Вы закрываете окно и захлопываете ставни. ]];
        end;
    end;
};

hotel_concierge = obj {
    var {
        paid = false;
    };
    nam = "hotel_concierge";
    disp = "Консьерж";
    dsc = [[За стойкой скучает пожилой {консьерж}. Поношенный костюм, выглаженный и начищенный, хорошо сидит на его худощавом теле. Аккуратно подстриженная седая борода украшает его морщинистое лицо. Руки его неподвижно лежат на стойке, а глаза наблюдают за входящими и выходящими посетителями. ]];
    act = function(s)
        if (hotel_concierge.paid) then
            pr("Я уже снял номер. ");
        else
            walkin(hotel_concierge_dlg);
        end;
    end;
};

hotel_starlight = npc {
    nam = "hotel_starlight";
    disp = "Старлайт";
    dsc = "На одном из диванчиков сидит мужчина лет сорока пяти -- пятидесяти, одетый в помятый костюм. Он читает газету и не обращает на вас внимания. ";
};

hotel_maid = npc {
    var {
        state = 1;
        starlight = false;
    };
    nam = "hotel_maid";
    disp = "Служанка";
    actions = {
        [[{Служанка} подметает пол. ]];
        [[{Служанка} протирает стены. ]];
        [[{Служанка} поправляет лампу. ]];
        [[На один из диванчиков присела отдохнуть {служанка}. ]];
    };
    dsc = function(s)
        return s.actions[s.state];
    end;
    act = function(s)
        local phrases = EngineUtils.getValue(s.phrases, s);
        local index = rnd(#phrases);
        if index == 10 and not s.starlight then
            s.starlight = true;
            starlight_dock_appearance = starlight_dock_appearance + 1;
        end;
        return phrases[index];
    end;
    phrases = {
        [[Служанка произносит: "Простите, я занята". ]];
        [[Служанка спрашивает: "Вам понравилась ваша комната?" ]];
        [[Служанка вздыхает: "У меня еще много дел сегодня". ]];
        [[Служанка спрашивает: "Простите?" ]];
        [[Служанка приветствует вас: "Добрый день". ]];
        [[Служанка не обращает на вас внимания. ]];
        [[Служанка молча смотрит на вас. ]];
        [[Служанка тихо напевает что-то. ]];
        [[Служанка спрашивает: "Вы надолго в городе?" ]];
        [[Служанка шепчет: "Этот странный господин во второй комнате меня пугает". ]];
    };
};

hotel_concierge_dlg = dlg {
    nam = "hotel_concierge_dlg";
    disp = "Консьерж";
    entered = [[Консьерж оживляется, как только вы подходите: "Здравствуйте! Желаете снять номер?" ]];
    phr = {
        {1, "Да, мне нужна комната на неделю. ", [[Консьерж, посмотрев в журнал, называет цену: "С вас 100 монет". ]], code = [[ psub("pay"); ]]};
        {255, always = true, "Не сейчас. ", function()
            back();
            return [[Консьерж недовольно отвечает: "Приходите, когда соберетесь! "]];
        end};
        {tag = "pay"};
        {always = true, "Хорошо. ", function()
            if pl:pay(100) then
                hotel_concierge.paid = true;
                path("К номерам", hotel_hall):enable();
                path("На второй этаж", hotel_hall):enable();
                back();
                return [[Консьерж принимает ваши деньги и просит вас расписаться в гостевой книге. После чего вручает вам ключ, сообщая: "Вам на второй этаж, комната номер 7". ]];
            else
                pon(1);
                pret();
                back();
                return [[Консьерж недовольно отвечает: "Приходите, когда деньги будут!" ]];
            end;
        end};
        {always = true, "Я передумал. ", [[Консьерж недовольно отвечает: "Приходите, когда соберетесь!" ]], code = [[ pon(1); pret(); ]]}
    };
};

starlight_first_dlg = dlg {
    nam = "starlight_first_dlg";
    disp = "Гостиница, второй этаж";
    entered = [[Выйдя из своей комнаты, вы замечаете поднимающегося по лестнице человека. Это мужчина лет сорока пяти -- пятидесяти. Он одет в помятый темно-серый костюм, на носу -- маленькие очки в простой оправе. В левой руке он держит какую-то газету, а правой спешно ощупывает карманы в поисках чего-то. Заметив вас он улыбается и спрашивает: "Господин Дрейк?" ]];
    left = function(s)
        remove(hotel_starlight, hotel_hall);
        path('В комнату №2', hotel_corridor_1):enable();
        put("char_starlight_corridor", hotel_corridor_2);
        lifeon("char_starlight_corridor");
    end;
    phr = {
        { "Мы встречались?", [[Человек пожимает плечами: "Скорее всего нет, мое имя Джозеф Старлайт. Вы случайно не родственник Уильяма Дрейка? Название Вестхейвен Трансоушен вам о чем-то говорит?" ]], code [[ pstart('have_we_met') ]]};
        { "Кто вы?", [[Человек протягивает вам руку: "Джозеф Старлайт, адвокат. Название Вестхейвен Трансоушен вам о чем-то говорит?" ]], code [[ pstart('who_are_you') ]]};
        { "Да, я Дэвид Дрейк.", [[Человек протягивает вам руку: "Здравствйте! Я Джозеф Старлайт. Вы сын Уильяма Дрейка? Название Вестхейвен Трансоушен вам о чем-нибудь говорит?" ]], code [[ pstart('i_am_drake') ]]};
        { "Простите, я спешу.", [[Человек огорченно вздыхает: "Простите". Подойдя к лестнице он оборачивается и говорит: "Мое имя -- Джозеф Старлайт. Если хотите поговорить о Вестхейвен Трансоушен, зайдите ко мне в комнату 2 когда у вас будет время". ]], code [[ psub("end"); ]]};
        {tag = "have_we_met"};
        { "Я сын Уильяма. Вы знаете что произошло?", [[Джозеф Старлайт чешет подбородок: "Немного. Это было, без сомнения, самое запутанное мое дело. Нам лучше поговорить у меня в комнате. Номер 2, на первом этаже". ]], code [[ psub("end"); ]]};
        { "Кто вы?", [[Джозеф Старлайт отвечает: "Адвокат. Я занимался делом о банкротстве Вестхейвен Трансоушен". ]], code [[ pstart('who_are_you') ]]};
        {tag = "who_are_you"};
        { "Вы знаете что произошло?", [[Джозеф Старлайт чешет подбородок: "Немного. Это было, без сомнения, самое запутанное мое дело. Нам лучше поговорить у меня в комнате. Номер 2, на первом этаже". ]], code [[ psub("end"); ]]};
        {tag = "i_am_drake"};
        { "Да все верно. Это название компании моего отца. Вы знаете что произошло?", [[Джозеф Старлайт чешет подбородок: "Немного. Это было, без сомнения, самое запутанное мое дело. Нам лучше поговорить у меня в комнате. Номер 2, на первом этаже". ]], code [[ psub("end"); ]]};
        {tag="end"};
        {"Хорошо, я зайду.", code [[ back(); ]]};
        {"Спасибо, но я спешу.", code [[ back(); ]]};
        {"Делать мне больше нечего.", code [[ back(); ]]};
    };
};

char_starlight_corridor = obj {
    var {
        state = 0;
    };
    nam = "char_starlight_corridor";
    dsc = function(s)
        return [[{Джозеф Старлайт} продолжает ощупывать карманы, словно ищет что-то. ]];
    end;
    act = function(s)
        remove(s, where(s));
        lifeoff(s);
        return [[Раздраженно махнув рукой, Джозеф быстрым шагом спускается вниз по лестнице. ]];
    end;
    life = function(s)
        if (rnd(5) > 4 and s.state > 1) then
            remove(s, where(s));
            lifeoff(s);
            return [[Раздраженно махнув рукой, Джозеф быстрым шагом спускается вниз по лестнице. ]];
        end;
        s.state = s.state + 1;
    end;
};

char_starlight = obj {
    var {
        forgetful = 0;
        complete = 0;
    };
    nam = "char_starlight";
    dsc = [[{Джозеф Старлайт} сидит за столом и делает какие-то записи в блокноте. ]];
    act = function(s)
        walkin(starlight_dlg);
    end;
};

starlight_dlg = dlg {
    nam = "starlight_dlg";
    disp = "Джозеф Старлайт";
    entered = function(s)
        if (not char_starlight.forgetful) then
            pon(0);
        else
            poff(0);
        end;
        if (not warehouse18_found) then
            pon(14);
        else
            poff(14);
        end;
        char_starlight.forgetful = true;
        if (char_starlight.complete) then
            return [[Джозеф оборачивается к вам и удивленно вскакивает со стула: "Как вы сюда попали?!" Он подходит к двери, открывает ее и снова закрывает, после чего запирает замок: "Опять забыл, да что ж такое?!" Потом он снова оборачивается к вам и говорит: "Господин Дрейк? Мое имя Джозеф ..." -- внезапно он делает паузу, после чего продолжает: "Мы же вроде все обсудили с вами?" ]];
        else
            return [[Джозеф оборачивается к вам и удивленно вскакивает со стула: "Как вы сюда попали?!" ^Он подходит к двери, открывает ее и снова закрывает, после чего запирает замок: "Опять забыл, да что ж такое?!" Потом он снова оборачивается к вам и говорит: "Господин Дрейк? Мое имя Джозеф Старлайт. Я думаю, нам есть что обсудить касательно компании вашего отца". ]];
        end;
    end;
    phr = {
        {1, "Вы уже представлялись. ", [[Джозеф Старлайт удивленно переспрашивает: "Да?! Что-то я этого не помню. Впрочем я такими мелочами себе голову не забиваю. Давайте к делу". ]]};
        {2, "Я вас слушаю. ", [[Джозеф Старлайт чешет подбородок: "Как я уже говорил, это дело было одним из самых запутанных. Судите сами: верхушка преуспевающей компании, внезапно исчезает, не оставив следов. Сначала мы предполагали, что это дело рук конкурентов -- прибрать компанию к рукам, прикрыть или использовать их разработки. Однако, когда начали копать, выяснили, что к этому моменту Вестхейвен Трансоушен была не в лучшем состоянии -- отдел исследований закрыт, документы уничтожены, некоторые подразделения проданы. Говоря проще -- компания разваливалась". ]], code [[ pstart('father_bankrupt') ]]};
        {3, tag = 'father_bankrupt'};
        {4, "Но зачем Уильяму разрушать собственную компанию? ", [[Джозеф Старлайт пожимает плечами: "Если бы я знал. Судя по той информации, что я о нем собрал, он весьма грамотный человек и у него были толковые помощники. Не знаю, сможете ли вы что-то сказать, господин Дрейк. Вам тогда сколько было? 10 лет?"^Джозеф поправляет очки и продолжает: "У меня, конечно, есть предположение. Исследовательский отдел занимался чем-то принципиально новым, не связанным с основной деятельностью компании. Это подтверждают и отчеты компании -- инженеры получали колоссальное финасирование, закупалось огромное количество заказных деталей, компания зачем-то наняла нескольких видных ученых. А потом у компании начали кончаться деньги. Это не объясняет исчезновения, правда". ]], code [[ pstart('fathers_project') ]]};
        {5, tag = 'fathers_project'};
        {6, "А что если их план удался?", [[Джозеф Старлайт пожимает плечами: "Получилось, да не все. Я предполагаю, что они снарядили какую-то экспедицию -- иначе зачем такая долгая, дорогая подготовка и найм ученых. А вот дальше, что-то могло пойти не так. Иначе, они бы уже вернулись". ]], code [[ psub('submarine'); ]]};
        {7, "Как вы считаете, почему они исчезли?", [[Джозеф Старлайт чешет подбородок: "Я предполагаю, что они снарядили какую-то экспедицию -- иначе зачем такая долгая, дорогая подготовка и найм ученых. А вот дальше, что-то могло пойти не так. И вернуться они уже не смогли". ]], code [[ psub('submarine'); ]]};
        {8, "И что это мог быть за проект? ", [[Джозеф Старлайт пожимает плечами: "Понятия не имею. Какое-то масштабное исследование -- это подтверждают и большое количество заказанных компанией деталей и нанятые ученые". ]], code [[ psub('submarine'); ]]};
        {9, tag = 'submarine', empty = code [[psub('final') ]]};
        {10, "Для чего это могло понадобиться Уильяму? ", [[Джозеф Старлайт снимает очки: "Понятия не имею. Совершенно". ]]};
        {11, "Но зачем делать это в такой тайне ото всех? ", [[Джозеф Старлайт задумчиво произносит: "Возможно, широкой общественности пока не стоит знать о том, что они изучали". ]]};
        {12, "Это бы объяснило куда он исчез. ", [[Джозеф Старлайт чешет голову: "Может быть, только никаких документов не сохранилось. Впрочем они очень много денег на какие-то секретные проекты тратили последнее время". ]]};
        {13, tag = 'final'};
        {14, always = true, function(s)
            if have(item_charts) then
                return "Вы можете посмотреть эти бумаги? Вам знакомы эти места? [Показать Джозефу документы отца]";
            else
                return "Вы можете подсказать мне как найти некоторые места, принадлежавшие Вестхейвен Трансоушен?"
            end;
        end, function(s)
            if have(item_charts) then
                warehouse18_found = true;
                poff(14);
                return [["Так вот зачем вы здесь! Я догадывался. Давайте ваши бумаги сюда", -- Джозеф выхватывает документы из ваших рук и бегло просматривает их. Почесав голову, он говорит: "Одно из этих мест я знаю". Он сообщает вам адрес склада 18. ]];
            else
                return [["Так вот зачем вы здесь! Если вы покажете мне какие-нибудь зацепки, я, может быть, что-нибудь вспомню", -- Джозеф смотрит на вас, словно ждет, что вы что-то покажете ему. ]];
            end;
        end};
        {15, always = true, "Мне пора. ", [[Джозеф Старлайт отворачивается к столу: "До встречи". ]], code [[ back(); ]]};
    };
};

money_dock = obj {
    nam = "money_dock";
    dsc = "Среди куч мусора вы видите что-то {блестящее}. ";
    act = function(s)
        starlight_dock_appearance = starlight_dock_appearance - 1;
        pl.money = pl.money + 5;
        remove(money_dock, here());
        return "Пять шиллингов!";
    end;
};

money_wh32 = obj {
    nam = "money_wh32";
    seen_level=1;
    dsc = "На столе лежат несколько {монет}. ";
    act = function(s)
        starlight_dock_appearance = starlight_dock_appearance - 1;
        pl.money = pl.money + 5;
        remove(money_wh32, here());
        return "Пять шиллингов!";
    end;
};

money_hotel = obj {
    nam = "money_hotel";
    dsc = "Под кроватью вы замечаете {что-то блестящее}. ";
    act = function(s)
        starlight_dock_appearance = starlight_dock_appearance - 1;
        pl.money = pl.money + 5;
        remove(money_hotel, here());
        return "Пять шиллингов!";
    end;
};
